Name:          brewtarget
Version:       4.0.17
Release:       %mkrel 1
Summary:       An open source beer recipe creation tool
Group:         Sciences/Other
License:       GPLv3 and WTFPL and LGPLv2
URL:           http://www.brewtarget.org
Source0:       https://github.com/Brewtarget/brewtarget/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:        fix_boost_requirements.patch
BuildRequires: cmake
BuildRequires: cmake(valijson)
BuildRequires: pkgconfig(sqlite3)
BuildRequires: pkgconfig(xalan-c)
BuildRequires: boost-devel
BuildRequires: sqlite3-tools
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Gui)
BuildRequires: cmake(Qt6LinguistTools)
BuildRequires: cmake(Qt6Multimedia)
BuildRequires: cmake(Qt6PrintSupport)
BuildRequires: cmake(Qt6Qml)
BuildRequires: cmake(Qt6Sql)
BuildRequires: cmake(Qt6Svg)
BuildRequires: cmake(Qt6Test)
BuildRequires: cmake(Qt6Widgets)
BuildRequires: cmake(Qt6Xml)

%description
Brewtarget is an open source beer recipe creation tool. It automatically
calculates color, bitterness, and other parameters for you while you drag and
drop ingredients into the recipe. Brewtarget also has many other tools such as
priming sugar calculators, OG correction help, and a unique mash designing tool.
It also can export and import recipes in BeerXML.

%prep
%autosetup -p1

%build
%cmake -DDO_RELEASE_BUILD:BOOL=ON
%cmake_build

%install
%cmake_install

gzip doc/brewtarget.1
install -m 0644 -Dp doc/brewtarget.1.gz %{buildroot}%{_mandir}/man1/brewtarget.1.gz

%files
%doc CHANGES.markdown README.md doc/manual-en.pdf
%license COPYRIGHT COPYING.GPLv3 LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/brewtarget.1*


%changelog
* Wed Feb 19 2025 daviddavid <daviddavid> 4.0.17-1.mga10
+ Revision: 2149810
- new version: 4.0.17

* Wed Jan 08 2025 daviddavid <daviddavid> 4.0.15-1.mga10
+ Revision: 2136215
- new version: 4.0.15

* Sun Dec 15 2024 daviddavid <daviddavid> 4.0.11-1.mga10
+ Revision: 2125319
- new version: 4.0.11
- switch to Qt6

* Sun Sep 15 2024 daviddavid <daviddavid> 4.0.3-1.mga10
+ Revision: 2096618
- new version: 4.0.3

* Tue Apr 23 2024 daviddavid <daviddavid> 3.0.11-1.mga10
+ Revision: 2060556
- new version: 3.0.11

* Fri Sep 29 2023 daviddavid <daviddavid> 3.0.9-1.mga10
+ Revision: 1992077
- new version: 3.0.9

* Thu Mar 23 2023 daviddavid <daviddavid> 3.0.6-2.mga9
+ Revision: 1950166
- drop no more needed by the project Qt5WebKit build dependency

* Sun Feb 19 2023 guillomovitch <guillomovitch> 3.0.6-1.mga9
+ Revision: 1944058
- new version 3.0.6

* Wed Jan 25 2023 guillomovitch <guillomovitch> 3.0.5-1.mga9
+ Revision: 1936045
- new version 3.0.5

* Mon Dec 05 2022 guillomovitch <guillomovitch> 3.0.4-1.mga9
+ Revision: 1918067
- new version 3.0.4

* Sun Nov 20 2022 guillomovitch <guillomovitch> 3.0.3-1.mga9
+ Revision: 1909201
- new version 3.0.3

* Wed Apr 06 2022 umeabot <umeabot> 2.3.1-6.mga9
+ Revision: 1845811
- Mageia 9 Mass Rebuild

* Wed Dec 16 2020 umeabot <umeabot> 2.3.1-5.mga8
+ Revision: 1658181
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 2.3.1-4.mga8
+ Revision: 1524413
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Mar 30 2019 umeabot <umeabot> 2.3.1-3.mga7
+ Revision: 1381374
- Qt5 Rebuild

* Sat Sep 22 2018 umeabot <umeabot> 2.3.1-2.mga7
+ Revision: 1295676
- Mageia 7 Mass Rebuild

* Fri Nov 11 2016 guillomovitch <guillomovitch> 2.3.1-1.mga6
+ Revision: 1066476
- new version 2.3.1

* Sat Feb 13 2016 umeabot <umeabot> 2.1.0-2.mga6
+ Revision: 959625
- Mageia 6 Mass Rebuild

* Tue Jun 23 2015 guillomovitch <guillomovitch> 2.1.0-1.mga6
+ Revision: 840781
- new version 2.1.0

* Wed Oct 15 2014 umeabot <umeabot> 2.0.2-3.mga5
+ Revision: 742182
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.2-2.mga5
+ Revision: 678218
- Mageia 5 Mass Rebuild

* Mon May 12 2014 guillomovitch <guillomovitch> 2.0.2-1.mga5
+ Revision: 622256
- imported package brewtarget

